package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BStatTablePwxkBoilerFuelGas;
import cn.cecep.talroad.vo.BStatTablePwxkBoilerFuelGasVo;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BStatTablePwxkBoilerFuelGasMapper extends BaseMapper<BStatTablePwxkBoilerFuelGas> {
    int updateBatch(List<BStatTablePwxkBoilerFuelGas> list);

    int updateBatchSelective(List<BStatTablePwxkBoilerFuelGas> list);

    int batchInsert(@Param("list") List<BStatTablePwxkBoilerFuelGas> list);

    List<BStatTablePwxkBoilerFuelGasVo> selectListAndFactory(BStatTablepPwxkWaterQuery query);
}